Bug 729814 - [Calistoga] cannot generate xorg.conf
Summary: [Calistoga] cannot generate xorg.conf
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 15
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard: [cat:others]
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 22:13 UTC by Paul Bransford
Modified: 2018-04-11 06:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
logs, system info, output (11.37 KB, application/x-tar)
2011-08-10 22:13 UTC, Paul Bransford
no flags Details
dmidecode output (10.25 KB, text/plain)
2011-08-11 18:05 UTC, Matěj Cepl
no flags Details
output of lspci -vv (25.90 KB, text/plain)
2011-08-11 18:07 UTC, Matěj Cepl
no flags Details
/etc/xorg.conf (4.72 KB, text/plain)
2011-08-11 18:08 UTC, Matěj Cepl
no flags Details
/var/log/Xorg.0.log (19.54 KB, text/plain)
2011-08-11 18:09 UTC, Matěj Cepl
no flags Details

Description Paul Bransford 2011-08-10 22:13:47 UTC
Created attachment 517702 [details]
logs, system info, output

Description of problem:
I cannot generate an xorg.conf with "Xorg -configure"

The process appears to proceed as normal, but Xorg errors out with:
Number of created screens does not match number of detected devices. Configuration failed.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.10.3-1.fc15.i686

How reproducible:
100% on this hardware

Steps to Reproduce:
1. stop X (telinit 3)
2. log into VTTY, become root
3. run "Xorg -configure"
  
Actual results:
Number of created screens does not match number of detected devices. Configuration failed.

Expected results:
valid xorg.conf.new

Additional info:
Xorg.0log, dmidecode output, and lspci -vv output attached, including the xorg.conf.new that is generated.

Comment 1 Matěj Cepl 2011-08-11 18:05:34 UTC
Created attachment 517856 [details]
dmidecode output

Comment 2 Matěj Cepl 2011-08-11 18:07:25 UTC
Created attachment 517857 [details]
output of lspci -vv

Comment 3 Matěj Cepl 2011-08-11 18:08:36 UTC
Created attachment 517858 [details]
/etc/xorg.conf

Comment 4 Matěj Cepl 2011-08-11 18:09:09 UTC
Created attachment 517859 [details]
/var/log/Xorg.0.log

Comment 5 Paul Bransford 2011-08-11 18:21:33 UTC
Comment on attachment 517858 [details]
/etc/xorg.conf

this is xorg.conf.new

Comment 6 Matěj Cepl 2011-09-04 00:55:50 UTC
(In reply to comment #0)
> Number of created screens does not match number of detected devices.
> Configuration failed.

And what is the real number (and character) of the really attached devices? Also, are you running this into a virtual machine?

Thank you for helping to make Fedora better

Comment 7 Paul Bransford 2011-09-04 02:49:48 UTC
These questions are all answered in the hardware information texts that were attached with the original report.

For brevity:
Real hardware. Single display adapter, single monitor.

An interesting note: Debian 6.x is showing the same behavior, so this is likely an upstream bug? I do not have Fedora installed currently so I cannot confirm this, but in the case of Debian it DID generate a configuration file despite that output, and with a few tweaks it was usable.

Comment 8 Fedora End Of Life 2012-08-06 20:04:05 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Fedora End Of Life 2012-08-06 20:04:06 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.